server:
  port: ${SERVER_PORT:8080}
spring:
  application:
    name: company-app
  jpa:
    database: POSTGRESQL
    open-in-view: false
    show-sql: false
    hibernate:
      ddl-auto: none
    properties:
      hibernate:
        dialect: org.hibernate.dialect.PostgreSQLDialect
  datasource:
    url: ${DB_URL:jdbc:postgresql://postgres:5433/company}
    username: ${DB_USERNAME:postgres}
    password: ${DB_PASSWORD:postgres}
    driverClassName: org.postgresql.Driver
    type: com.zaxxer.hikari.HikariDataSource
    hikari:
      maximum-pool-size: 15
      minimum-idle: 4
      idle-timeout: 180000
      max-lifetime: 599000
  flyway:
    enabled: true
    locations: db/migration/